Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 595088 - Change xvattr to use gtk2 instead of gtk+
Change xvattr to use gtk2 instead of gtk+
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xvattr (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 06:19 EDT by Chen Lei
Modified: 2012-08-16 18:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GTK2, plus scrollbars and separators (4.02 KB, patch)
2010-05-28 15:04 EDT, Edward Sheldrake
no flags Details | Diff
revised patch - just the gxvattr.c changes (5.03 KB, patch)
2010-07-27 06:55 EDT, Edward Sheldrake
no flags Details | Diff

  None (edit)
Description Chen Lei 2010-05-23 06:19:20 EDT
Description of problem:

The GTK1.2 xvattr seems to be a bit aged, and the upstram is long dead. It'll be great if you can retire it from pkgdb.

Additional info:

See http://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life
Comment 1 Edward Sheldrake 2010-05-28 14:59:54 EDT
What other program is available for changing Xv attributes?

At minimum, just don't build gxvattr, but keep the command line program.

Other distributions (Ubuntu, gentoo) compile gxvattr with GTK2 by just patching configure.in.
Comment 2 Edward Sheldrake 2010-05-28 15:04:11 EDT
Created attachment 417722 [details]
GTK2, plus scrollbars and separators

Here is a patch with the GTK2 change plus some other fixes by me, mainly with 16 textured video ports, scrollbars are needed.
Comment 3 Chen Lei 2010-05-28 22:59:17 EDT
(In reply to comment #2)
> Created an attachment (id=417722) [details]
> GTK2, plus scrollbars and separators
> 
> Here is a patch with the GTK2 change plus some other fixes by me, mainly with
> 16 textured video ports, scrollbars are needed.    
The patch seems quite good.
Matthias, would you mind to add this patch to the package and get rid of the gtk+ dependencies?

There's also a gentoo patch available.

See   	
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/media-video/xvattr/files/
Comment 4 Matthias Saou 2010-05-29 17:13:35 EDT
This kind of change makes a lot of sense, so I'll be more than happy to update the package. Thanks for the patch and pointers.
Comment 5 Edward Sheldrake 2010-07-27 06:55:49 EDT
Created attachment 434658 [details]
revised patch - just the gxvattr.c changes

A slightly revised patch, which should adjust the initial window size better (after putting everything into scrolled widgets, the window ends up a tiny size, the original patch just resizes it to a fixed percentage of the screen size).

The revised patch only contains the gxvattr.c changes, so that the gentoo patch can be applied as is.
Comment 6 Bug Zapper 2010-07-30 07:41:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2012-08-16 18:06:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.